Subject: bug#43275: Upgrade antlr-mode to latest version

From: Stefan Kangas <[email-masked]>
Date: Fri, 1 Jan 2021 12:56:07 -0600

Stefan Kangas <[email-masked]> writes:

> "Wedler, Christoph" <[email-masked]> writes:
>
>> OK - I would basically do M-x emerge-files-with-ancestor:
>>
>> - A: my antlr-mode.el 3.1.5
>> - B: lisp/progmodes/antlr-mode.el
>> - Ancestor: lisp/progmodes/antlr-mode.el.~emacs-25.1~ (see my ChangeLog comment 2016-11-22),
>>
>> Does that sounds reasonable?
>
> I've never used that command, so I unfortunately can't help you with
> that.  Why not just give it a spin and see what happens?  :-)
>
> Another idea is to just manually look over the commits and apply them
> one by one to your sources as it makes sense.
>
>> If someone can guide me how Emacs handles git, I can probably directly push a change
>>
>> - starting at branch "master"?
>> - which branch to push to?
>
> To get commit access, you will need to apply for it on Savannah.  I'm
> not sure about the exact requirements to get commit access.
>
> If it's easier, you could send a patch here and we can push it for you.
>
>> - change comment: my ChangeLog starting at 2.2c?
>
> If you send the patch here first, we can look over the formatting.  But
> if you already have a GNU conforming ChangeLog, it sounds like a good
> idea to adapt it for Emacs.  If it's much too big to adapt, I think it's
> also okay to fall back to something like:
>
> * lisp/progmodes/antlr-mode.el: Sync with latest upstream.

That was 16 weeks ago.  Any updates here?

Thanks in advance.